Cloud Template

Request the metadata (ie, parameters and values) for a cloud template (eg, cloudformation, terraform, azure ARM template)

POST /api/cloudtemplate/{id}/metadata

Path Parameters

  • id string (required)
    The id of a supported cloud template type, eg CloudFormation, Terraform, AzureAppService, Kubernetes, etc.

Request Body

  • FeedId string
    Id of the feed from which to load the package. Obsolete.
  • Id string (required)
    The id of a supported cloud template type, eg CloudFormation, Terraform, AzureAppService, Kubernetes, etc.
  • PackageId string
    Id of the package to load and parse. Obsolete.
  • Template string (required)
    The cloud template to evaluate and extract parameters and values from. Minimum length 1.

Response

200 — The metadata (ie, parameters and values) for a cloud template (eg, cloudformation, terraform, azure ARM template)

  • Metadata object
    • Description string
    • Types array of object
  • Values string

Example Request

JSON
{
  "FeedId": "string",
  "Id": "string",
  "PackageId": "string",
  "Template": "string"
}

Example Response

JSON
{
  "Metadata": {
    "Description": "string",
    "Types": [
      {
        "Name": "string",
        "Properties": [
          {}
        ]
      }
    ]
  },
  "Values": "string"
}